{
  "extends": "../../tsconfig.base.json",
  "compilerOptions": {
    "target": "ES2017",
    "lib": ["DOM", "DOM.Iterable", "ES2022"],
    "module": "ESNext",
    "moduleResolution": "Bundler",
    "jsx": "preserve",
    "incremental": true,
    "plugins": [
      {
        "name": "next"
      }
    ],
    "types": ["vitest/globals"],
    "paths": {
      "@/*": ["./*"]
    },
    "declaration": false,
    "declarationMap": false,
    "sourceMap": false,
    "noEmit": true,
    "allowJs": true,
    "isolatedModules": true,
    "allowArbitraryExtensions": true
  },
  "include": ["next-env.d.ts", "**/*.ts", "**/*.tsx", ".next/types/**/*.ts"],
  "exclude": ["node_modules", ".next"]
}
